# XQilla Simple API Documentation

# InteractiveDebugger Class Reference

`#include <InteractiveDebugger.hpp>`

Inheritance diagram for InteractiveDebugger:
[legend]

List of all members.

## Static Public Member Functions

static void | debugQuery (const XQQuery *query, DynamicContext *context)
static void | outputLocation (const LocationInfo *info, unsigned int context=0)

## Member Function Documentation

static void InteractiveDebugger::debugQuery | ( | const XQQuery * | query,
|  | DynamicContext * | context |
| ) |  |  | `[static]`

static void InteractiveDebugger::outputLocation | ( | const LocationInfo * | info,
|  | unsigned int | context = `0` |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- InteractiveDebugger.hpp